Upgrading the CodeIgniter base

The place to go for any sort of help with using or developing with Bonfire.
Post Reply
BasketcaseSoftware
Posts: 8
Joined: 18 Oct 2017, 18:42

16 Nov 2017, 14:55

The current version of BF seems to be built on a CI 3.0.1 base. CI is now up to 3.1.6 and upgrading past 3.0.1 is a must for PHP 7+ development. Upgrading per the official guides on the CodeIgniter site is an automatic fail apparently. The routes.php in the config folder adds code that significantly differs from the base CI file. Specifically the "Route" class is referenced but not loaded. The core Router.php class tries to load it during initialization of the CI_Router class. I'm more than happy to do the update as a project contribution (obviously I've already done this for my work), but I need a little guidance. Too bad I no longer live in the same city as Lonnie. :P Just a few miles further north. That'd make things so much easier.

User avatar
Reconix
Posts: 7
Joined: 31 Aug 2017, 02:12

05 Dec 2017, 03:42

Take a look at the main develop branch, I thought a similar thing.

https://github.com/ci-bonfire/Bonfire

BasketcaseSoftware
Posts: 8
Joined: 18 Oct 2017, 18:42

Today, 12:12

Good. Thanks. I'll definitely be looking.

Post Reply